免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 1644 | 回复: 2

求助:upgrade之后导致的vim+perl错误 [复制链接]

论坛徽章:
0
发表于 2013-01-24 16:40 |显示全部楼层
本帖最后由 gaoyang636 于 2013-01-24 18:06 编辑

自己的本本,Ubuntu 12.04,apt-get upgrade了一下,其中Perl升级到了v5.14.2,linux内核升到了3.2.0.35.40。然后问题出现了:
vim新建一个后缀为.pl的文件,即报错
  1. vim: symbol lookup error: vim: undefined symbol: Perl_Gthr_key_ptr
复制代码
无法进行任何操作。

#发现:
1. 换用其他后缀名,都正常(.c, .sh, .txt, 无后缀……)。
2. 直接打开已有的.pl文件,能正常显示和编辑等使用。
3. 新建一个文档,随便敲几个字符,保存退出后再改后缀为.pl,vim也可以正常使用(语法高亮,缩进等)。

#已经尝试过:
1. 删除vim,重新安装=>无效,问题依旧;
2. 更换旧内核,问题依旧(但是升级前是正常的
3. 利用cpan升级installed modules到最新版本(个别暂未升级成功)=>无效,问题依旧。

请教各位,有什么建议没有?折腾了好几天,没有头绪

论坛徽章:
46
15-16赛季CBA联赛之四川
日期:2018-03-27 11:59:132015年亚洲杯之沙特阿拉伯
日期:2015-04-11 17:31:45天蝎座
日期:2015-03-25 16:56:49双鱼座
日期:2015-03-25 16:56:30摩羯座
日期:2015-03-25 16:56:09巳蛇
日期:2015-03-25 16:55:30卯兔
日期:2015-03-25 16:54:29子鼠
日期:2015-03-25 16:53:59申猴
日期:2015-03-25 16:53:29寅虎
日期:2015-03-25 16:52:29羊年新春福章
日期:2015-03-25 16:51:212015亚冠之布里斯班狮吼
日期:2015-07-13 10:44:56
发表于 2013-01-24 20:03 |显示全部楼层
猜一下 vim 编译时支持 Perl 做扩展语言,而你用的什么插件用了这个功能,升级 perl 之后二进制不兼容了

论坛徽章:
0
发表于 2013-01-24 20:46 |显示全部楼层
回复 2# zhlong8


    本来自己一点印象都没有了,很肯定自己没装过插件的……后来看到版主的回复,又心虚了,找了一下,发现两年前装过一个perl-support的plugin……更新了一下就好了。
谢谢zhong8 :wink:
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

SACC2019中国系统架构师大会

【数字转型 架构演进】SACC2019中国系统架构师大会,7折限时优惠重磅来袭!
2019年10月31日~11月2日第11届中国系统架构师大会(SACC2019)将在北京隆重召开。四大主线并行的演讲模式,1个主会场、20个技术专场、超千人参与的会议规模,100+来自互联网、金融、制造业、电商等领域的嘉宾阵容,将为广大参会者提供一场最具价值的技术交流盛会。

限时七折期:2019年8月31日前


----------------------------------------

大会官网>>
  

北京盛拓优讯信息技术有限公司. 版权所有 16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122
中国互联网协会会员  联系我们:huangweiwei@it168.com
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP